'use strict';
Object.defineProperty(exports, '__esModule', {
  value: true,
});
Object.defineProperty(exports, 'LineClamp', {
  enumerable: true,
  get: function () {
    return LineClamp;
  },
});
const _interop_require_default = require('@swc/helpers/_/_interop_require_default');
const _interop_require_wildcard = require('@swc/helpers/_/_interop_require_wildcard');
const _react = /*#__PURE__*/ _interop_require_wildcard._(require('react'));
const _classnames = /*#__PURE__*/ _interop_require_default._(
  require('classnames'),
);
const _Box = require('./Box.js');
const _ShadowRoot = require('./ShadowRoot.js');
const LineClamp = _react.forwardRef((props, forwardedRef) => {
  let { lines, children, ...rest } = props;
  return _react.createElement(
    _Box.Box,
    {
      ref: forwardedRef,
      ...rest,
      className: (0, _classnames.default)('iui-line-clamp', props.className),
      style: {
        '--_iui-line-clamp': lines,
        ...props.style,
      },
    },
    _react.createElement(
      _ShadowRoot.ShadowRoot,
      {
        css: css,
        flush: false,
      },
      _react.createElement('slot', null),
    ),
    children,
  );
});
const css = `
  :host {
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: var(--_iui-line-clamp, 3);
    -webkit-box-orient: vertical;
  }
`;
